Subject: bug#38644: 26.3; emacs uses 100% CPU with auto-revert-mode

From: Peter Ludemann <[email-masked]>
Date: Tue, 17 Dec 2019 10:27:36 -0800

So many questions (thank-you!) ... I'll try to answer them soon (and there
are also a few experiments I should try first).

But first: I see different versions of this discussion at
https://lists.gnu.org/archive/html/bug-gnu-emacs/2018-10/msg00997.html and
http://emacs.1067599.n8.nabble.com/bug-33194-26-1-Auto-revert-mode-causes-emacs-to-use-100-cpu-whenever-a-file-is-being-written-to-in-ty-tt468378.html#none
(the
former has a 2nd thread, which mentions the patch in Emacs 27) ... what is
the correct way to interact with emacs bugs?

On Tue, 17 Dec 2019 at 08:17, Eli Zaretskii <[email-masked]> wrote:

> > From: Peter Ludemann <[email-masked]>
> > Date: Mon, 16 Dec 2019 17:23:30 -0800
> >
> > My hypothesis is that emacs is monitoring some files that it shouldn't
>
> Emacs actually monitors the directory of every file whose buffer has
> auto-revert-mode turned on, if you use file notifications for
> auto-reverting (which is the default).
>
> > When I run a CPU-bound job that also does quite a bit of I/O, emacs
> > becomes very unresponsive -- running "top", I see CPU usage for emacs go
> > into the 50-100% range.
>
> Does "a bit of I/O" includes creating, deleting, or modifying files in
> a directory where you have a file whose buffer has auto-revert-mode?
>
> > As far as I know, I don't have any of the output files or directories
> > open (I have global-auto-revert-mode set) -- all the outputs go into one
> > directory and when I search the Buffer List, I don't see that
> > directory.
>
> Turn off auto-revert-use-notify and try again, would be my advice.
>